registry_contractor_list:
    path: '/liste'
    methods: ['GET']
    controller: 'App\Domain\Registry\Controller\ContractorController:listAction'

registry_contractor_list_datatables:
    path: '/datatables'
    methods: ['POST']
    controller: 'App\Domain\Registry\Controller\ContractorController:listDataTables'

registry_contractor_create:
    path: '/creer'
    methods: ['GET', 'POST']
    controller: 'App\Domain\Registry\Controller\ContractorController:createAction'

registry_contractor_edit:
    path: '/modifier/{id}'
    methods: ['GET', 'POST']
    controller: 'App\Domain\Registry\Controller\ContractorController:editAction'

registry_contractor_show:
    path: '/visualiser/{id}'
    methods: ['GET']
    controller: 'App\Domain\Registry\Controller\ContractorController:showAction'

registry_contractor_report:
    path: '/bilan'
    methods: ['GET']
    controller: 'App\Domain\Registry\Controller\ContractorController:reportAction'

registry_contractor_delete:
    path: '/supprimer/{id}'
    methods: ['GET']
    controller: 'App\Domain\Registry\Controller\ContractorController:deleteAction'

registry_contractor_delete_confirm:
    path: '/supprimer/{id}/confirmation'
    methods: ['GET']
    controller: 'App\Domain\Registry\Controller\ContractorController:deleteConfirmationAction'

api_registry_contractor_collectivity:
    path: '/api/collectivite/{collectivityId}'
    methods: ['GET']
    controller: 'App\Domain\Registry\Controller\ContractorController:apiGetContractorsByCollectivity'

registry_contractor_pdf:
    path: '/pdf/{id}'
    methods: ['GET']
    controller: 'App\Domain\Registry\Controller\ContractorController:pdfAction'

registry_contractor_delete_all:
    path: '/supprimer-tous/'
    methods: ['GET']
    controller: 'App\Domain\Registry\Controller\ContractorController:deleteAllAction'

registry_contractor_print_all:
    path: '/imprimer-tous'
    methods: ['GET']
    controller: 'App\Domain\Registry\Controller\ContractorController:pdfAllAction'

registry_contractor_delete_all_confirm:
    path: '/supprimer-tous/confirmation'
    methods: ['GET']
    controller: 'App\Domain\Registry\Controller\ContractorController:deleteConfirmationAllAction'